# tdct.cfg
# configuration file for tdct
# must be located in the .tdct directory under the user's 'home directory'
#
# NOTE: sequence of entries is important!
# [edbdef]
# [epicslib]
# [defaultlib]
# [userpath]...
# [dbpath]
# [startup]
# [dbdpath]
# [dbdfile]
# ...
# [epicsmenu]
# ....
# [endcfg]
#
#******************* options and colours *********************
# 
# options section (optional)
# one or more directives of the form: [option] <name> <value>
#

# If usedbdproperties is false, run in Capfast compatibility mode
#[options] usedbdproperties false

# debug - default false
#         if set to true, the menu item which toggles debug printout is enabled
# 
[options] debug true
#
# switchcfg - default false
#         if set to true, the menu item which allows selection of a new configuration file is enabled
# 
[options] switchcfg true
#
# gridthreshold - default 0.75
#         grid visibility threshold - if gain is less than threshold, grid is invisible
# 
[options] gridthreshold 0.75
#
# recent- default 10
#         maximum number of files in the recent menu
# 
# [options] recent 5
#
# duplicate_connectors - default false
#         if false, duplicate hierarchy connectors cannot be placed or connected to
#
[options] duplicate_connectors true
#
# duplicate_connector_warn - default true
#         if true, duplicate hierarchy connectors generate warnings
# 
[options] duplicate_connector_warn false

[options] overridename
[options] addnppnms
[options] pproc_wireonly             false
[options] ignore_connector_direction true
[options] warn_on_unassigned_id      false

[options] empty_macrovalues true
# if false, macros with empty values are not substituted (warning
#           message during db building)
# if true,  macros with empty values are substituted with ""

[options] empty_macrovalues_warn false
#
# if true and "empty_macrovalues" is true, empty macro values
#         generate warnings during db build

[options] macro_in_menu_warn false
#
# if true, print out warning messages about unresolved macros in
# record properties
#

#
# dbsuffix - default _tdct.db
#         controls database file name, i.e. xxx.sch builds to xxx_tdct.db
# 
[options] dbsuffix .db

#
# color section (optional)
#
# one or more directives of the form: [color] <name> <value>
#
# valid names(defaults in parentheses): 
#              background (black), foreground (yellow), select (red), grid (lightGray)
#              symbol (yellow), symbol_label (white), wire (white), junction (white)
#              hierarchy_connector (215,215,255), comment (magenta), problem (blue)
#              area_select (green), highlight (red), loose_wire (red), connect (blue)
#              drag_point (green)
#
[color] background black
[color] foreground yellow
[color] symbol yellow
[color] symbol_label white
[color] junction white

#******************* paths *********************

# help, edb.def and symbols library are installed in EPICS extensions
[helppath] $(EPICS)/extensions/src/tdct/help
[edbdef] $(EPICS)/extensions/src/tdct/sym/
[epicslib] $(SYS_TDCT_PATHS)

# userpath defines a local schematics/symbols directory
# path allows for use here and in build sub-directory
[userpath] .:..:

# TDCT startup directory is here: 
[startup] .

# dbd file path allows for use here and in build sub-directory
[dbdpath] ../../dbd:../../../dbd:
[dbdpath] $(TESTING_INSTALL_LOCATION)/$(PROJECTNAME)/dbd/

# .dbd file is assumed to have the same name as the application
[dbdfile] oms44

#
#******************* EPICS sub-menus *******************
# format:
#[epicsmenuname] menuSymbolEpics<submenu id> <submenu label>
#
[epicsmenuname] menuSymbolEpics1 EPICS Records (small)
[epicsmenuname] menuSymbolEpics2 EPICS Records (large)
[epicsmenuname] menuSymbolEpics3 Gemini EPICS Records
#
#
#******************* EPICS records *********************
# 
# EPICS records
# each entry consists of two lines:
# line 1: [epicsmenu] <menu name> <menu label>
# line 2: <record symbol name>    e.g. eai   >> eai.sym
#
[epicsmenu] menuSymbolEpics2 Analog In (L)
 eai
[epicsmenu] menuSymbolEpics1 Analog In (S)
 eais
[epicsmenu] menuSymbolEpics1 Analog In (sim)
 eaisim
[epicsmenu] menuSymbolEpics2 Analog Out (L)
 eao
[epicsmenu] menuSymbolEpics1 Analog Out (S)
 eaos
[epicsmenu] menuSymbolEpics1 Analog Out (sim)
 eaosim
[epicsmenu] menuSymbolEpics2 Analog Array In
 eaai
[epicsmenu] menuSymbolEpics2 Analog Array Out
 eaao
[epicsmenu] menuSymbolEpics2 Binary In (L)
 ebi
[epicsmenu] menuSymbolEpics1 Binary In (S)
 ebis
[epicsmenu] menuSymbolEpics2 Binary Out (L)
 ebo
[epicsmenu] menuSymbolEpics1 Binary Out (S)
 ebos
[epicsmenu] menuSymbolEpics2 Calculation (L)
 ecalc
[epicsmenu] menuSymbolEpics1 Calculation (S)
 ecalcs
[epicsmenu] menuSymbolEpics2 Calcout (L)
 ecalcout
[epicsmenu] menuSymbolEpics1 Calcout (S)
 ecalcouts
[epicsmenu] menuSymbolEpics2 Compression (L)
 ecomp
[epicsmenu] menuSymbolEpics1 Compression (S)
 ecomps
[epicsmenu] menuSymbolEpics2 Data Fanout (L)
 edfan
[epicsmenu] menuSymbolEpics1 Data Fanout (S)
 edfans
[epicsmenu] menuSymbolEpics2 Event (L)
 eevent
[epicsmenu] menuSymbolEpics1 Event (S)
 eevents
[epicsmenu] menuSymbolEpics2 Fanout (L)
 efanout
[epicsmenu] menuSymbolEpics1 Fanout (S)
 efanouts
[epicsmenu] menuSymbolEpics3 Gemini Apply
 eapply
[epicsmenu] menuSymbolEpics3 Gemini Cmd Timeout
 ecmdTimeout
[epicsmenu] menuSymbolEpics3 Gemini CAD2
 ecad2
[epicsmenu] menuSymbolEpics3 Gemini CAD4
 ecad4
[epicsmenu] menuSymbolEpics3 Gemini CAD8
 ecad8
[epicsmenu] menuSymbolEpics3 Gemini CAD20
 ecad20
[epicsmenu] menuSymbolEpics3 Gemini CAR
 ecars
[epicsmenu] menuSymbolEpics3 Gemini SIR
 esirs
[epicsmenu] menuSymbolEpics3 GenSub (10)
 egenSub
[epicsmenu] menuSymbolEpics3 GenSub (21A)
 egenSubA
[epicsmenu] menuSymbolEpics3 GenSub (21B lnks)
 egenSubB
[epicsmenu] menuSymbolEpics3 GenSub (21C vals)
 egenSubC
[epicsmenu] menuSymbolEpics3 GenSub (21D inlnks)
 egenSubD
[epicsmenu] menuSymbolEpics3 GenSub (21E l-vals)
 egenSubE
[epicsmenu] menuSymbolEpics3 GenSub (21F all)
 egenSubF
[epicsmenu] menuSymbolEpics1 Hardware Input
 hwin
[epicsmenu] menuSymbolEpics1 Hardware Output
 hwout
[epicsmenu] menuSymbolEpics2 Histogram (L)
 ehist
[epicsmenu] menuSymbolEpics1 Histogram (S)
 ehists
[epicsmenu] menuSymbolEpics3 LUT In (L)
 elutin
[epicsmenu] menuSymbolEpics3 LUT In (S)
 elutins
[epicsmenu] menuSymbolEpics3 LUT Out (L)
 elutout
[epicsmenu] menuSymbolEpics3 LUT Out (S)
 elutouts
[epicsmenu] menuSymbolEpics2 Longin (L)
 elongin
[epicsmenu] menuSymbolEpics1 Longin (S)
 elongins
[epicsmenu] menuSymbolEpics2 Longout (L)
 elongout
[epicsmenu] menuSymbolEpics1 Longout (S)
 elongouts
[epicsmenu] menuSymbolEpics2 MBBI (L)
 embbi
[epicsmenu] menuSymbolEpics1 MBBI (S)
 embbis
[epicsmenu] menuSymbolEpics2 MBBI Direct (L)
 embbid
[epicsmenu] menuSymbolEpics1 MBBI Direct (S)
 embbids
[epicsmenu] menuSymbolEpics2 MBBO (L)
 embbo
[epicsmenu] menuSymbolEpics1 MBBO (S)
 embbos
[epicsmenu] menuSymbolEpics2 MBBO Direct (L)
 embbod
[epicsmenu] menuSymbolEpics1 MBBO Direct (S)
 embbods
[epicsmenu] menuSymbolEpics2 Motor (L)
 emotor
[epicsmenu] menuSymbolEpics1 Motor (S)
 emotors
[epicsmenu] menuSymbolEpics2 Permissive (L)
 eperm
[epicsmenu] menuSymbolEpics1 Permissive (S)
 eperms
[epicsmenu] menuSymbolEpics2 PID (L)
 epid
[epicsmenu] menuSymbolEpics1 PID (S)
 epids
[epicsmenu] menuSymbolEpics1 PMAC Load (S)
 eloads
[epicsmenu] menuSymbolEpics2 Ramp (L)
 eramp
[epicsmenu] menuSymbolEpics1 Ramp (S)
 eramps
[epicsmenu] menuSymbolEpics2 Select (L)
 esel
[epicsmenu] menuSymbolEpics1 Select (S)
 esels
[epicsmenu] menuSymbolEpics2 Sequence (L)
 eseq
[epicsmenu] menuSymbolEpics1 Sequence (S)
 eseqs
[epicsmenu] menuSymbolEpics2 State (L)
 estate
[epicsmenu] menuSymbolEpics1 State (S)
 estates
[epicsmenu] menuSymbolEpics2 Status (L)
 estatus
[epicsmenu] menuSymbolEpics2 Steppermotor (L)
 estep
[epicsmenu] menuSymbolEpics1 Steppermotor (S)
 esteps
[epicsmenu] menuSymbolEpics2 Stringin (L)
 estringin
[epicsmenu] menuSymbolEpics1 Stringin (S)
 estringins
[epicsmenu] menuSymbolEpics1 Stringin (with VAL)
 estringinval
[epicsmenu] menuSymbolEpics1 Stringin (sim)
 estringinsim
[epicsmenu] menuSymbolEpics2 Stringout (L)
 estringout
[epicsmenu] menuSymbolEpics1 Stringout (S)
 estringouts
[epicsmenu] menuSymbolEpics1 Stringout (sim)
 estringoutsim
[epicsmenu] menuSymbolEpics2 Subroutine (L)
 esub
[epicsmenu] menuSymbolEpics1 Subroutine (S)
 esubs
[epicsmenu] menuSymbolEpics2 Waveform (L)
 ewave
[epicsmenu] menuSymbolEpics1 Waveform (S)
 ewaves
[epicsmenu] menuSymbolEpics2 Waveout (L)
 ewaveout
[epicsmenu] menuSymbolEpics1 Waveout (S)
 ewaveouts
[epicsmenu] menuSymbolEpics2 Word to mask
 ew2masks
#
[epicsmenu] menuSymbolHierarchy Hierarchical Input
 inhier
[epicsmenu] menuSymbolHierarchy Hierarchical Output
 outhier
#
[epicsmenu] menuFrameAdd A size
 ba200tr
[epicsmenu] menuFrameAdd B size
 bb200tr
[epicsmenu] menuFrameAdd C size
 bc200tr
[epicsmenu] menuFrameAdd D size
 bd200tr
[epicsmenu] menuFrameAdd E size
 be200tr
#
# end of configuration
#
[endcfg]
